summaryrefslogtreecommitdiffstats
path: root/www/firefox3-devel/files/moz_pis_S50cleanhome
diff options
context:
space:
mode:
authormarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2005-03-05 09:49:03 +0800
committermarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2005-03-05 09:49:03 +0800
commit8873c153d07a5669df16174aa06e9d969dfd5722 (patch)
treecf70af68f63fda720f8e0120672329f90d0ba313 /www/firefox3-devel/files/moz_pis_S50cleanhome
parent72cb2251c71ff3fe3c4cee60afd708a1d7399d2c (diff)
downloadmarcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.gz
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.bz2
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.lz
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.xz
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.tar.zst
marcuscom-ports-8873c153d07a5669df16174aa06e9d969dfd5722.zip
Update freetype2 to 2.1.9, and fix Mozilla and Firefox so that they compile
against it. Since there is no ABI change in 2.1.9, we do not need to bump the PORTREVISIONs for mozilla and firefox. PR: 78385 Submitted by: lesi git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@3806 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'www/firefox3-devel/files/moz_pis_S50cleanhome')
-rw-r--r--www/firefox3-devel/files/moz_pis_S50cleanhome31
1 files changed, 31 insertions, 0 deletions
diff --git a/www/firefox3-devel/files/moz_pis_S50cleanhome b/www/firefox3-devel/files/moz_pis_S50cleanhome
new file mode 100644
index 000000000..3de5565e3
--- /dev/null
+++ b/www/firefox3-devel/files/moz_pis_S50cleanhome
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+
+# S50cleanhome
+# a script to clean up users' Mozilla home directories to make upgrading
+# less painful.
+
+# We run in our own subshell
+
+# First, verify protocol
+[ "$1" != "start" ] && exit 1
+[ -z "${MOZ_PIS_API}" -o ${MOZ_PIS_API} -ne 2 ] && exit 1
+[ -z "${MOZ_PIS_MOZBINDIR}" -o ! -d "${MOZ_PIS_MOZBINDIR}" ] && exit 1
+[ -z "${HOME}" -o ! -d "${HOME}" ] && exit 1
+[ -z "${MOZ_PIS_USER_DIR}" -o ! -d "${HOME}/${MOZ_PIS_USER_DIR}" ] && exit 1
+
+# Try to cleanup ${HOME}/${MOZ_PIS_USER_DIR}
+
+if [ -f "${HOME}/${MOZ_PIS_USER_DIR}/profiles.ini" ]; then
+ sed -e '/Path=/! d' -e "s,Path=,${HOME}/${MOZ_PIS_USER_DIR}/," \
+ "${HOME}/${MOZ_PIS_USER_DIR}/profiles.ini" \
+ | while read dir
+ do
+ [ ! -d "${dir}" ] && continue
+ # Debian does this for new builds
+ # rm -f "${dir}/XUL.mfasl"
+ # force a rebuild of compreg.dat and xpti.dat for new installations
+ [ "${dir}/compreg.dat" -ot "${MOZ_PIS_MOZBINDIR}/components.ini" ] &&
+ rm -f "${dir}/compatibility.ini" "${dir}/XUL.mfasl"
+ done
+fi